Package alt.java.net

# Class SocketFactoryImpl

java.lang.Object
alt.java.net.SocketFactoryImpl

All Implemented Interfaces:
  `SocketFactory`

public class SocketFactoryImpl extends Object implements SocketFactory

## Constructor Summary

Constructors
Constructor
Description
`SocketFactoryImpl()`

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createSocket(String host, int port)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SocketFactoryImpl

public SocketFactoryImpl()

## Method Details

### createSocket

public Socket createSocket(String host, int port) throws UnknownHostException, IOException

Specified by:
  `createSocket` in interface `SocketFactory`
Throws:
  `UnknownHostException`
  `IOException`